package domain


type AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest struct {
    /*
        周期配置     */
    PeriodicConfig  *AlibabaRetailMarketingItempoolActivitySavePeriodicConfigDto `json:"periodic_config,omitempty" `

    /*
        同城零售活动id     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        操作人id     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人名称     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        活动描述     */
    Description  *string `json:"description,omitempty" `

    /*
        阶梯分组     */
    StairGroups  *[]AlibabaRetailMarketingItempoolActivitySaveStairGroupDto `json:"stair_groups,omitempty" `

    /*
        支持的终端，1：APP,2:POS     */
    Terminals  *[]int32 `json:"terminals,omitempty" `

    /*
        经营店     */
    StoreIds  *[]string `json:"store_ids,omitempty" `

    /*
        限购     */
    Limit  *AlibabaRetailMarketingItempoolActivitySaveLimitDto `json:"limit,omitempty" `

    /*
        外部商家erp活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

    /*
        逻辑分组     */
    LogicGroups  *[]AlibabaRetailMarketingItempoolActivitySaveLogicGroupDto `json:"logic_groups,omitempty" `

    /*
        活动开始时间戳     */
    StartTime  *int64 `json:"start_time,omitempty" `

    /*
        活动结束时间戳     */
    EndTime  *int64 `json:"end_time,omitempty" `

    /*
        限制人群,OLD_USER:老用户，NEW_USER:新用户，LIGHT_NEW_USER：闪购新客，MERCHANT_NEW_USER：商家新用户，MERCHANT_OLD_USER：商家老用户     */
    MemberCrowdCode  *[]string `json:"member_crowd_code,omitempty" `

    /*
        是否上不封顶，为true时则stairGroup只支持单阶梯 defalutValue:false    */
    EnableMultiple  *bool `json:"enable_multiple,omitempty" `

    /*
        枚举： 2 美团 3 饿了么 26 京东到家 31 翱象淘鲜达     */
    Channels  *[]string `json:"channels,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetPeriodicConfig(v AlibabaRetailMarketingItempoolActivitySavePeriodicConfigDto) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.PeriodicConfig = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetActId(v int64) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetActivityName(v string) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.ActivityName = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetDescription(v string) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.Description = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetStairGroups(v []AlibabaRetailMarketingItempoolActivitySaveStairGroupDto) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.StairGroups = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetTerminals(v []int32) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.Terminals = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetStoreIds(v []string) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.StoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetLimit(v AlibabaRetailMarketingItempoolActivitySaveLimitDto) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.Limit = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.OutActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetLogicGroups(v []AlibabaRetailMarketingItempoolActivitySaveLogicGroupDto) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.LogicGroups = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetStartTime(v int64) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.StartTime = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetEndTime(v int64) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.EndTime = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetMemberCrowdCode(v []string) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.MemberCrowdCode = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetEnableMultiple(v bool) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.EnableMultiple = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) SetChannels(v []string) *AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest {
    s.Channels = &v
    return s
}
